package com.ruoyi.web.calculate.domain;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 角度度转弧度对象 cmc_degree_to_radian
 * 
 * @author qyx
 * @date 2026-06-17
 */
public class CmcDegreeToRadian extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 待求点号 */
    @Excel(name = "待求点")
    private String pointNumber;

    /** 经度（度） */
    @Excel(name = "经度（度）", cellType = ColumnType.NUMERIC, numberFormat = "0.000000000")
    private Double longitude;

    /** 纬度（度） */
    @Excel(name = "纬度（度）", cellType = ColumnType.NUMERIC, numberFormat = "0.000000000")
    private Double latitude;

    /** 经度（弧度） */
    @Excel(name = "经度（弧度）", cellType = ColumnType.NUMERIC, numberFormat = "0.000000000000")
    private Double longitudeRadian;

    /** 纬度（弧度） */
    @Excel(name = "纬度（弧度）", cellType = ColumnType.NUMERIC, numberFormat = "0.000000000000")
    private Double latitudeRadian;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    
    public void setPointNumber(String pointNumber) 
    {
        this.pointNumber = pointNumber;
    }

    public String getPointNumber() 
    {
        return pointNumber;
    }
    
    public void setLongitude(Double longitude) 
    {
        this.longitude = longitude;
    }

    public Double getLongitude() 
    {
        return longitude;
    }
    
    public void setLatitude(Double latitude) 
    {
        this.latitude = latitude;
    }

    public Double getLatitude() 
    {
        return latitude;
    }

    public void setLongitudeRadian(Double longitudeRadian) 
    {
        this.longitudeRadian = longitudeRadian;
    }

    public Double getLongitudeRadian() 
    {
        return longitudeRadian;
    }
    
    public void setLatitudeRadian(Double latitudeRadian) 
    {
        this.latitudeRadian = latitudeRadian;
    }

    public Double getLatitudeRadian() 
    {
        return latitudeRadian;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pointNumber", getPointNumber())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("longitudeRadian", getLongitudeRadian())
            .append("latitudeRadian", getLatitudeRadian())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
} 